From a467cfd6d107b5d11d19b16f4fb7b1d6062606ae Mon Sep 17 00:00:00 2001
From: Peter Li <a0220410@ti.com>
Date: Sun, 4 Jul 2021 16:10:14 +0800
Subject: [PATCH] add rootfs to emmc partition

---
 arch/arm64/boot/dts/ti/k3-j7200-common-proc-board.dts | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/arch/arm64/boot/dts/ti/k3-j7200-common-proc-board.dts b/arch/arm64/boot/dts/ti/k3-j7200-common-proc-board.dts
index 3ac2dab2a..24354cce9 100644
--- a/arch/arm64/boot/dts/ti/k3-j7200-common-proc-board.dts
+++ b/arch/arm64/boot/dts/ti/k3-j7200-common-proc-board.dts
@@ -16,7 +16,7 @@
 / {
 	chosen {
 		stdout-path = "serial2:115200n8";
-		bootargs = "console=ttyS2,115200n8 earlycon=ns16550a,mmio32,0x02800000";
+		bootargs = "console=ttyS2,115200n8 earlycon=ns16550a,mmio32,0x02800000 root=/dev/mmcblk0p2 rw rootfstype=ext4 rootwait";
 	};
 
 	vdd_mmc1: fixedregulator-sd {
@@ -428,3 +428,7 @@
 	num-lanes = <2>;
 	status = "disabled";
 };
+
+&main_i2c0 {
+	status = "disabled";
+};
\ No newline at end of file
-- 
2.17.1

